Subject: Re: [PATCH net-next 05/22] cxgb4: Add T5 write combining support

From: Steve Wise <[email-masked]>
Date: Tue, 12 Mar 2013 09:42:05 -0500

On 3/12/2013 7:19 AM, David Miller wrote:
> From: Vipul Pandya <[email-masked]>
> Date: Tue, 12 Mar 2013 17:16:17 +0530
>
>> +				writel(n,  adap->bar2 + q->udb + 8);
>> +#if defined(CONFIG_X86_32) || defined(CONFIG_X86_64)
>> +			asm volatile("sfence" : : : "memory");
>> +#endif
> There is absolutely no way I'm letting anyone put crap like this
> into a driver.
>
> Use a portable inteface, and if one does not exist create one.

I guess you'll have to add a wc_wmb() function for all the hw platforms 
supported by the kernel.  I see libibverbs defines this for the user 
side in include/infiniband/arch.h, and that could be used as the meat of 
the hw platform-specific implementations.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html